> For the complete documentation index, see [llms.txt](https://doc.batch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.batch.com/developer/sdk/flutter/profile-data/email-subscription.md).

# Email subscription

The Batch Flutter Plugin allows you to:

* Add and remove email address from a user profile. The profile will automatically be created if needed.
* Edit a profile's marketing subscription.

{% hint style="info" %}
In order to set an email address and subscription status on a profile, the [creation of a project](https://doc.batch.com/getting-started/other/overview-guides/98-send-emails-with-batch#create-a-project) is required. If no project is set up, any calls made for these actions will be ignored.
{% endhint %}

Here is how to set an email with a marketing subscription:

```dart
// This requires to have a custom user ID registered by calling the `identify` method beforehand.
BatchProfile.instance.newEditor()
    .setEmailAddress("john.doe@batch.com")  // Null to erase. Addresses must be valid.
    .setEmailMarketingSubscription(BatchEmailSubscriptionState.subscribed) // or BatchEmailSubscriptionState.unsubscribed
    .save()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.batch.com/developer/sdk/flutter/profile-data/email-subscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
